package com.ruoyi.ss.storeApply.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.ss.store.domain.StoreBO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ss.storeApply.mapper.StoreApplyMapper;
import com.ruoyi.ss.storeApply.domain.StoreApply;
import com.ruoyi.ss.storeApply.domain.StoreApplyVO;
import com.ruoyi.ss.storeApply.domain.StoreApplyQuery;
import com.ruoyi.ss.storeApply.service.StoreApplyService;

/**
 * 店铺审核Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-03
 */
@Service
public class StoreApplyServiceImpl implements StoreApplyService
{
    @Autowired
    private StoreApplyMapper storeApplyMapper;

    /**
     * 查询店铺审核
     *
     * @param id 店铺审核主键
     * @return 店铺审核
     */
    @Override
    public StoreApplyVO selectStoreApplyById(Long id)
    {
        return storeApplyMapper.selectStoreApplyById(id);
    }

    /**
     * 查询店铺审核列表
     *
     * @param storeApply 店铺审核
     * @return 店铺审核
     */
    @Override
    public List<StoreApplyVO> selectStoreApplyList(StoreApplyQuery storeApply)
    {
        return storeApplyMapper.selectStoreApplyList(storeApply);
    }

    /**
     * 新增店铺审核
     *
     * @param storeApply 店铺审核
     * @return 结果
     */
    @Override
    public int insertStoreApply(StoreApply storeApply)
    {
        storeApply.setCreateTime(DateUtils.getNowDate());
        return storeApplyMapper.insertStoreApply(storeApply);
    }

    /**
     * 修改店铺审核
     *
     * @param storeApply 店铺审核
     * @return 结果
     */
    @Override
    public int updateStoreApply(StoreApply storeApply)
    {
        return storeApplyMapper.updateStoreApply(storeApply);
    }

    /**
     * 批量删除店铺审核
     *
     * @param ids 需要删除的店铺审核主键
     * @return 结果
     */
    @Override
    public int deleteStoreApplyByIds(Long[] ids)
    {
        return storeApplyMapper.deleteStoreApplyByIds(ids);
    }

    /**
     * 删除店铺审核信息
     *
     * @param id 店铺审核主键
     * @return 结果
     */
    @Override
    public int deleteStoreApplyById(Long id)
    {
        return storeApplyMapper.deleteStoreApplyById(id);
    }

}
